/** @file io/readutils.cc helper functions for reading counted
    sequences of objects from an io::reader */
///////////////////////////////////////////////////////////////////////
//
// Copyright (c) 1999-2004 California Institute of Technology
// Copyright (c) 2004-2007 University of Southern California
// Rob Peters <rjpeters at usc dot edu>
//
// created: Tue Nov 16 14:25:40 1999
// commit: $Id: readutils.cc 10065 2007-04-12 05:54:56Z rjpeters $
// $HeadURL: file:///home/rjpeters/svnrepo/code/trunk/groovx/src/io/readutils.cc $
//
// --------------------------------------------------------------------
//
// This file is part of GroovX.
//   [http://ilab.usc.edu/rjpeters/groovx/]
//
// GroovX is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// GroovX is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with GroovX; if not, write to the Free Software Foundation,
// Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
///////////////////////////////////////////////////////////////////////

#ifndef GROOVX_IO_READUTILS_CC_UTC20050626084021_DEFINED
#define GROOVX_IO_READUTILS_CC_UTC20050626084021_DEFINED

#include "io/readutils.h"

#include "rutz/fstring.h"
#include "rutz/sfmt.h"

using rutz::fstring;

fstring io::read_utils::make_element_name(const fstring& seq_name,
                                          int element_num)
{
  return rutz::sfmt("%s%d", seq_name.c_str(), element_num);
}

fstring io::read_utils::make_seq_length_name(const fstring& seq_name)
{
  return rutz::sfmt("%sCount", seq_name.c_str());
}

static const char __attribute__((used)) vcid_groovx_io_readutils_cc_utc20050626084021[] = "$Id: readutils.cc 10065 2007-04-12 05:54:56Z rjpeters $ $HeadURL: file:///home/rjpeters/svnrepo/code/trunk/groovx/src/io/readutils.cc $";
#endif // !GROOVX_IO_READUTILS_CC_UTC20050626084021_DEFINED
