/** @file nub/volatileobject.cc nub::object subclass for inherently
    unshareable objects */
///////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2001-2004 California Institute of Technology
// Copyright (c) 2004-2007 University of Southern California
// Rob Peters <rjpeters at usc dot edu>
//
// created: Tue Aug 21 17:17:51 2001
// commit: $Id: volatileobject.cc 10065 2007-04-12 05:54:56Z rjpeters $
// $HeadURL: file:///home/rjpeters/svnrepo/code/trunk/groovx/src/nub/volatileobject.cc $
//
// --------------------------------------------------------------------
//
// This file is part of GroovX.
//   [http://ilab.usc.edu/rjpeters/groovx/]
//
// GroovX is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// GroovX is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with GroovX; if not, write to the Free Software Foundation,
// Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
//
///////////////////////////////////////////////////////////////////////

#ifndef GROOVX_NUB_VOLATILEOBJECT_CC_UTC20050626084018_DEFINED
#define GROOVX_NUB_VOLATILEOBJECT_CC_UTC20050626084018_DEFINED

#include "volatileobject.h"

#include "rutz/trace.h"

nub::volatile_object::volatile_object()
{
GVX_TRACE("nub::volatile_object::volatile_object");
  this->mark_as_volatile();
}

nub::volatile_object::~volatile_object() throw()
{
GVX_TRACE("nub::volatile_object::~volatile_object");
}

void nub::volatile_object::destroy()
{
GVX_TRACE("nub::volatile_object::destroy");
  delete this;
}

static const char __attribute__((used)) vcid_groovx_nub_volatileobject_cc_utc20050626084018[] = "$Id: volatileobject.cc 10065 2007-04-12 05:54:56Z rjpeters $ $HeadURL: file:///home/rjpeters/svnrepo/code/trunk/groovx/src/nub/volatileobject.cc $";
#endif // !GROOVX_NUB_VOLATILEOBJECT_CC_UTC20050626084018_DEFINED
